Bug 460553 - gnome-terminal memory leak
gnome-terminal memory leak
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gnome-terminal (Show other bugs)
4.9
All Linux
high Severity medium
: rc
: ---
Assigned To: Behdad Esfahbod
desktop-bugs@redhat.com
: Reopened
Depends On:
Blocks: 460554
  Show dependency treegraph
 
Reported: 2008-08-28 11:43 EDT by Adam Stokes
Modified: 2010-10-23 00:08 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-27 10:26:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2008-08-28 11:43:58 EDT
Description of problem:
When opening several terminals (or several tabs) memory is not released once terminal is closed by parent gnome-terminal process

Version-Release number of selected component (if applicable):
2.4.x-2.7.x

How reproducible:
100%

Steps to Reproduce:
1. Open 2 terminals or more
2. Open 2 terminals on second terminal open several tabs
3.
  
Actual results:
Memory consumed and not released

Expected results:
no leak

Additional info:
Patches from this bug made it into later version of gnome
http://bugzilla.gnome.org/show_bug.cgi?id=160993

Thanks
Comment 2 Behdad Esfahbod 2008-09-02 14:31:02 EDT
I need to see a specific leak report before doing anything.  A verbal "memory is not released" is worth nothing as far as fixing the code is concerned.  Show me a valgrind leak report.  Ain't gonna fix something not broken.  Definitely not for RHEL4 (or RHEL5 for that matter).
Comment 3 RHEL Product and Program Management 2008-09-02 14:39:44 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.